# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri Nov  3 11:47:12 2023
# ------------------------------------------------

package:
  name: referencing
  version: 0.30.2
source:
  sha256: 794ad8003c65938edcdbc027f1933215e0d0ccc0291e3ce20a4d87432b59efc0
  url: https://pypi.io/packages/source/r/referencing/referencing-0.30.2.tar.gz
build:
  number: '0'
  script: /croot/referencing_1699012038513/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  script_env:
    - REFERENCING_SUITE=./suite
  string: py311h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.08.22 h06a4308_0
    - editables 0.3 py311h06a4308_0
    - hatch-vcs 0.3.0 py311h06a4308_0
    - hatchling 1.18.0 py311h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.11 h7f8727e_2
    - packaging 23.1 py311h06a4308_0
    - pathspec 0.10.3 py311h06a4308_0
    - pip 23.3 py311h06a4308_0
    - pluggy 1.0.0 py311h06a4308_1
    - python 3.11.5 h955ad1f_0
    - readline 8.2 h5eee18b_0
    - setuptools 68.0.0 py311h06a4308_0
    - setuptools-scm 7.1.0 py311h06a4308_0
    - sqlite 3.41.2 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - trove-classifiers 2023.10.18 py311h06a4308_0
    - typing-extensions 4.7.1 py311h06a4308_0
    - typing_extensions 4.7.1 py311h06a4308_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.41.2 py311h06a4308_0
    - xz 5.4.2 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - attrs >=22.2.0
    - python >=3.11,<3.12.0a0
    - rpds-py >=0.7.0
test:
  commands:
    - pip check
    - pytest -vv --pyargs referencing --cov=referencing --cov-branch --cov-report=term-missing:skip-covered
      --no-cov-on-fail --cov-fail-under=99
  imports:
    - referencing
  requires:
    - pip
    - pytest-cov
    - pytest-subtests
  source_files:
    - suite
about:
  description: 'An implementation-agnostic implementation of JSON reference resolution.

    '
  dev_url: https://github.com/python-jsonschema/referencing
  doc_url: https://referencing.readthedocs.io
  home: https://github.com/python-jsonschema/referencing
  license: MIT
  license_family: MIT
  license_file: COPYING
  summary: JSON Referencing + Python
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 4381fc66-2b92-46b5-b44e-f977196d440f
  recipe-maintainers:
    - bollwyvl
  remote_url: git@github.com:AnacondaRecipes/referencing-feedstock.git
  sha: 3c31c9fefbaf4f33a35aa331799a225650597597
